<div class="card text-white bg-light mb-3" >
  <div class="card-header text-info">Clientes</div>
  <div class="card-body text-info">
    <h5 class="card-title">Listado de Clientes</h5>
    <div class="my-2 text-left">
      <button class="btn btn-rounded btn-primary" type="button" [routerLink]="['/clientes/form']">Crear Cliente</button>
    </div>
    <div *ngIf="clientes?.length == 0" class="alert alert-info">
      No hay registros en la base de datos.
    </div>

      <table class="table table-bordered table-striped" *ngIf="clientes?.length>0">
        <thead>
          <tr>
            <th>id</th>
            <th>nombre</th>
            <th>apellido</th>
            <th>email</th>
            <th>fecha</th>
            <th>Editar</th>
            <th>Eliminar</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let cliente of clientes">
            <td>{{cliente.id}}</td>
            <td>{{cliente.nombre}}</td>
            <td>{{cliente.apellido}}</td>
            <td>{{cliente.email}}</td>
            <td>{{cliente.fecha}}</td>
            <td>
              <button class="btn btn-rounded btn-primary "type="button"  [routerLink]="['/clientes/form',cliente.id]" >Editar</button>
            </td>
            <td>
              <button class="btn btn-rounded btn-danger" type="button" name="editar" (click)='delete(cliente)'>Eliminar</button>
            </td>
          </tr>
        </tbody>
      </table>
  </div>
</div>
